# dynamic_traits< Structure< S > > Struct Template Reference
[Fundamental C++: the Element design pattern.]

Specialization of `dynamic_traits` for `Structure`. More...

Inheritance diagram for dynamic_traits< Structure< S > >:
[legend]

List of all members.

## Detailed Description

### template<typename S>
struct vcsn::dynamic_traits< Structure< S > >

Specialization of `dynamic_traits` for `Structure`.

By default, all structural elements have no dynamic type information.

Definition at line 127 of file structure.hh.